# -*- coding: utf-8 -*-
# Generated by Django 1.10.3 on 2017-07-26 19:17
from __future__ import unicode_literals

from django.db import migrations

from guardian.shortcuts import assign_perm

from ..constants import STATUS_PENDING


def do_nothing(apps, schema_editor):
    return


def update_eic_permissions(apps, schema_editor):
    """
    Grant EIC of submission related to unvetted comment
    permission to vet his submission's comment.
    """
    Comment = apps.get_model('comments', 'Comment')
    count = 0
    for comment in Comment.objects.filter(status=STATUS_PENDING):
        if comment.submission:
            eic_user = comment.submission.editor_in_charge.user
            assign_perm('comments.can_vet_comments', eic_user, comment)
            count += 1
    print('\nGranted permission to %i Editor(s)-in-charge to vet related Comments.' % count)


class Migration(migrations.Migration):

    dependencies = [
        ('comments', '0013_auto_20170726_1538'),
    ]

    operations = [
        migrations.RunPython(update_eic_permissions, do_nothing),
    ]
