# -*- coding: utf-8 -*-
# Generated by Django 1.10.3 on 2017-06-02 16:36
from __future__ import unicode_literals

from django.db import migrations, models


status_map_to_new = {
    '1': 'vetted',
    '0': 'unvetted',
    '-1': 'unclear',
    '-2': 'incorrect',
    '-3': 'notuseful',
    '-4': 'notacademic'
}
status_map_to_old = dict((v,  int(k)) for k, v in status_map_to_new.items())


def map_reports_to_new_status_codes(apps, schema_editor):
    Report = apps.get_model('submissions', 'Report')
    reports = Report.objects.all()
    for report in reports:
        try:
            new_status = status_map_to_new[report.status]
        except KeyError:
            new_status = 'unvetted'
        report.status = new_status
        report.save()
    print('\nUpdated %i reports.' % len(reports))


def map_reports_to_old_status_codes(apps, schema_editor):
    Report = apps.get_model('submissions', 'Report')
    reports = Report.objects.all()
    for report in reports:
        try:
            new_status = status_map_to_old[report.status]
        except KeyError:
            new_status = 0
        report.status = new_status
        report.save()
    print('\nUpdated %i reports.' % len(reports))


class Migration(migrations.Migration):

    dependencies = [
        ('submissions', '0043_auto_20170512_0836'),
    ]

    operations = [
        migrations.AlterField(
            model_name='report',
            name='status',
            field=models.CharField(choices=[('vetted', 'Vetted'), ('unvetted', 'Unvetted'), ('incorrect', 'Rejected (incorrect)'), ('unclear', 'Rejected (unclear)'), ('notuseful', 'Rejected (not useful)'), ('notacademic', 'Rejected (not academic in style)')], default='unvetted', max_length=16),
        ),
        migrations.RunPython(map_reports_to_new_status_codes, map_reports_to_old_status_codes),
    ]
